View Issue Details

IDProjectCategoryView StatusLast Update
0022663mantisbtcustom fieldspublic2017-04-21 14:12
Reporterlbayle2Assigned Tosyncguru 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionopen 
Product Version2.3.0 
Target Version2.3.2Fixed in Version2.3.2 
Summary0022663: APPLICATION ERROR 1303 Non-mandatory date custom fields blocking issue creation
Description

Usecase:

  • A date custom field is associated to a project but none of the "Required On Report/Update/Resolve/Close" is selected.
  • go to bug_report_page.php
  • fill up all mandatory fields, do NOT fill in the date custom-field
  • click "submit issue" button

APPLICATION ERROR 0001303

bug does not exist on v2.2.1

TagsNo tags attached.

Relationships

related to 0022653 closedcproensa Regression: Filter by date broken 
has duplicate 0022706 closed ERROR 1303 invalid value for field (Custom Field date) 
has duplicate 0022726 closedatrol APPLICATION ERROR 0001303; Custom date field 
has duplicate 0022758 resolvedatrol AFter updating to v2.3.1 Custom Field in bugs are not editable 

Activities

rombert

rombert

2017-04-04 06:21

developer   ~0056367

Seeing this as well

syncguru

syncguru

2017-04-05 14:45

developer   ~0056398

PR: https://github.com/mantisbt/mantisbt/pull/1078

preko

preko

2017-04-18 04:39

reporter   ~0056606

Hello.
I have tested the "2.3.1" version.
It is no more possible to enter a date.



Pb_Mantis_Bug_Submit2.png (11,200 bytes)
Pb_Mantis_Bug_Submit2.png (11,200 bytes)
dregad

dregad

2017-04-18 10:20

developer   ~0056607

@cproensa @syncguru can you please have a look

cproensa

cproensa

2017-04-18 17:05

developer   ~0056613

The reverts applied to to 2.3.1 did leave one line out (don't know why though)
Fixed in this PR: https://github.com/mantisbt/mantisbt/pull/1095

Related Changesets

MantisBT: master-2.3 dc9560f2

2017-04-18 17:00:37

cproensa


Committer: dregad Details Diff
Fix missing line after revert in PR1093

A line was missing after applying the reverts contained in PR1093

Related Issue: 0022663
mod - core/date_api.php Diff File

Issue History

Date Modified Username Field Change
2017-04-04 06:02 lbayle2 New Issue
2017-04-04 06:21 rombert Status new => confirmed
2017-04-04 06:21 rombert Note Added: 0056367
2017-04-04 06:44 cproensa Relationship added related to 0022653
2017-04-05 14:35 syncguru Assigned To => syncguru
2017-04-05 14:35 syncguru Status confirmed => assigned
2017-04-05 14:45 syncguru Note Added: 0056398
2017-04-11 05:56 dregad Relationship added has duplicate 0022706
2017-04-11 06:47 dregad Summary APPLICATION ERROR 0001303 Non-mandatory date custom fields blocking issue creation => APPLICATION ERROR 1303 Non-mandatory date custom fields blocking issue creation
2017-04-11 06:47 dregad Description Updated View Revisions
2017-04-13 08:20 atrol Relationship added has duplicate 0022726
2017-04-18 04:39 preko File Added: Pb_Mantis_Bug_Submit2.png
2017-04-18 04:39 preko Note Added: 0056606
2017-04-18 10:20 dregad Note Added: 0056607
2017-04-18 17:05 cproensa Note Added: 0056613
2017-04-19 03:08 dregad Changeset attached => MantisBT master-2.3 dc9560f2
2017-04-21 14:12 atrol Status assigned => resolved
2017-04-21 14:12 atrol Fixed in Version => 2.3.2
2017-04-21 14:12 atrol Target Version => 2.3.2
2017-04-21 14:12 atrol Description Updated View Revisions
2017-04-21 14:12 atrol Relationship added has duplicate 0022758